    Info<< "fluid region: Create mesh for time = "
        << runTime.value() << nl << endl;

    //fluid domain
    fvMesh mesh1
    (
        IOobject
        (
            "fluidRegion",
            runTime.timeName(),
            runTime,
            IOobject::MUST_READ
        )
    );

    mesh1.constructAndClear();
    
	 //solid domain
    Info<< "solid region: Create mesh for time = "
        << runTime.value() << nl << endl;

    fvMesh mesh2
    (
        IOobject
        (
            "solidRegion",
            runTime.timeName(),
            runTime,
            IOobject::MUST_READ
        )
    );

    mesh2.constructAndClear();

